/* defautl slideshow pure html css */
slideshow {
    display: flex;
    overflow-x: scroll;
    justify-content: space-around;
}
slideshow:not([auto]) > *{
    min-width: 100%;
}

slideshow > * {
    max-width: none;
    margin: 1rem;
    max-height: 100vh;
}

/* auto scroll slideshow */
slideshow[auto] {
  display:flex;
  position:relative;
  width: 100%;
  overflow: hidden;
}

slideshow[auto]:hover {
  animation-play-state: paused
}

slideshow[auto] > * {
    animation: autoScroll 10s linear infinite;
    animation-direction: alternate;
}

/* Make it move */
@keyframes autoScroll {
  0% {
      transform: translateX(-150%);
  }
  100% {
      transform: translateX(150%)
  }
}
